summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorYulqen <246857+yulqen@users.noreply.github.com>2024-06-05 16:47:41 +0100
committerGitHub <noreply@github.com>2024-06-05 16:47:41 +0100
commite487ca089ecb3f8ca946f229f5a2058058e401dc (patch)
tree815c303cac4bd64798e935d601d4936b70db3fa7
parent1aa13bfb45d1f9c06ea407f25fd4a416b879e164 (diff)
parentde6b99df50afba811add3c5109195dc35319bf27 (diff)
Merge pull request #82 from defencedigital/postgres-migration
fix....
-rw-r--r--Dockerfile3
-rwxr-xr-xdocker-entrypoint.sh2
2 files changed, 2 insertions, 3 deletions
diff --git a/Dockerfile b/Dockerfile
index 096ddb0..df55594 100644
--- a/Dockerfile
+++ b/Dockerfile
@@ -19,8 +19,7 @@ RUN mkdir -p /app/static/css /app/static/js /app/static/img
# Install Python dependencies
RUN pip install -U "pip>=24.0.0" && \
pip install -r requirements.txt && \
- python manage.py collectstatic --noinput && \
- python manage.py createsuperuser --noinput
+ python manage.py collectstatic --noinput
# Switch to non-root user
USER 1001
diff --git a/docker-entrypoint.sh b/docker-entrypoint.sh
index 6c3efca..2b17530 100755
--- a/docker-entrypoint.sh
+++ b/docker-entrypoint.sh
@@ -6,7 +6,7 @@ python manage.py migrate
# Try to create a superuser, skip if email is already taken
echo "Attempting to create superuser..."
-#python manage.py createsuperuser --noinput || true
+python manage.py createsuperuser --noinput || true
# Collect static files
#python manage.py collectstatic --noinput